---
title: "Delete webhook"
url: https://docs.gleap.ai/en/reference/rest-api/delete-s2s-webhooks-webhookid
method: DELETE
path: "/s2s/webhooks/{webhookId}"
api: "API Reference"
tag: "S2S Webhooks"
operationId: "Remove"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Delete webhook

`DELETE https://api.gleap.io/v3/s2s/webhooks/{webhookId}`

Delete a webhook endpoint.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `webhookId` (string, required)

## Example request

```bash
curl --request DELETE \
  --url 'https://api.gleap.io/v3/s2s/webhooks/{webhookId}' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 (`application/json`)

Ok

- `success` (boolean, required)

```json
{
  "success": true
}
```
